List MCP Catalog
curl --request GET \
--url https://app.splox.io/api/v1/mcp-catalog \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.splox.io/api/v1/mcp-catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.splox.io/api/v1/mcp-catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mcp_servers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"transport_type": "<string>",
"auth_type": "<string>",
"is_featured": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"auth_config": {},
"image_url": "<string>",
"category": "<string>",
"display_order": 123
}
],
"current_page": 123,
"per_page": 123,
"total_count": 123,
"total_pages": 123
}MCP
List MCP Catalog
Lists available MCP servers from the global catalog with pagination and search.
GET
/
mcp-catalog
List MCP Catalog
Lists MCP servers available in the global catalog.
Use this endpoint to discover providers and server metadata before creating or selecting user servers.
Usage
curl "https://app.splox.io/api/v1/mcp-catalog?page=1&per_page=20&search=github" \
-H "Authorization: Bearer YOUR_TOKEN"
from splox import SploxClient
client = SploxClient(api_key="YOUR_API_KEY")
resp = client.mcp.list_catalog(page=1, per_page=20, search="github")
for item in resp.mcp_servers:
print(item.id, item.name, item.url)
import Splox from "splox";
const client = new Splox("YOUR_API_KEY");
const resp = await client.mcp.listCatalog({ page: 1, per_page: 20, search: "github" });
for (const item of resp.mcp_servers) {
console.log(item.id, item.name, item.url);
}
resp, err := client.MCP.ListCatalog(ctx, &splox.CatalogParams{
Page: 1,
PerPage: 20,
Search: "github",
})
if err != nil {
panic(err)
}
for _, item := range resp.MCPServers {
fmt.Println(item.ID, item.Name, item.URL)
}
Authorizations
API token generated from your Splox account settings. Create tokens at https://app.splox.io/account?tab=settings
Query Parameters
Page number (default 1)
Required range:
x >= 1Items per page (default 20, max 100)
Required range:
1 <= x <= 100Search by name, description, or URL
Filter to featured MCP servers
⌘I

